<div class="form-container">
  <div class="header">
    <button mat-icon-button (click)="onClose()">
      <mat-icon>close</mat-icon>
    </button>
  </div>
  <span class="formSpan">
    <div class="scrollable-form">
      <form [formGroup]="dataSetForm" class="locations-formgroup" (keydown.enter)="onEnterKey($event)">
        <div class="fields-row">
          <div class="input-fields">
            <mat-form-field class="location-form">
              <mat-label>Copyright owned by</mat-label>
              <input matInput #copyrightOwnedBy (keyup.enter)="addCopyrightOwner(copyrightOwnedBy)" required>
            </mat-form-field>
            <div class="hash-container">
              <button mat-icon-button type="button" class='addDataSetButton'
                (click)="addCopyrightOwner(copyrightOwnedBy)">
                <mat-icon>
                  add
                </mat-icon>
              </button>
              <ng-container *ngFor="let domain of dataSetForm.value.copyrightOwnedBy; let i = index">
                <button mat-stroked-button color="primary" class="hash-item">
                  {{ domain }}
                </button>
                <button mat-icon-button type="button" class='addDataSetButton' (click)="removeCopyrightOwner(i)">
                  <mat-icon>
                    remove
                  </mat-icon>
                </button>
              </ng-container>
            </div>
          </div>
        </div>
        <div class="fields-row">
          <div class="input-fields">
            <mat-form-field class="location-form" >
              <mat-label>License</mat-label>
              <input matInput #licenseRef  (keyup.enter)="addLicense(licenseRef)" required>
            </mat-form-field>
            <div class="hash-container">
              <button mat-icon-button type="button" class='addDataSetButton' (click)="addLicense(licenseRef)">
                <mat-icon>
                  add
                </mat-icon>
              </button>
              <ng-container *ngFor="let licenseTitle of dataSetForm.value.license; let i = index">
                <button mat-stroked-button color="primary" class="hash-item">
                  {{ licenseTitle }}
                </button>
                <button mat-icon-button type="button" class='addDataSetButton' (click)="removeLicense(i)">
                  <mat-icon>
                    remove
                  </mat-icon>
                </button>
              </ng-container>
            </div>
          </div>
        </div>
        <div class="fields-row">
          <div class="input-fields">
            <mat-form-field class="location-form">
              <mat-label>Title</mat-label>
              <input matInput aria-label="title"  formControlName="title" required>
            </mat-form-field>
            <mat-form-field class="location-form">
              <mat-label>Description</mat-label>
              <input matInput aria-label="consent"  formControlName="description">
            </mat-form-field>
          </div>
        </div>


        <div class=" form-field-wrapper">
          <!-- <mat-form-field class="location-form first-row">
            <mat-label>Algorithm</mat-label>
            <input matInput aria-label="algorithm" [matAutocomplete]="auto" formControlName="algorithm">
            <mat-error *ngIf="dataProductForm.get('title')?.invalid">
              Algorithm is required
            </mat-error>
            <mat-autocomplete #auto="matAutocomplete">
              <mat-option *ngFor="let type of aggregationOf" [value]="type" [value]="type">
                <span>{{type}}</span>
              </mat-option>
            </mat-autocomplete>
          </mat-form-field> -->
          <mat-form-field class="location-form first-row">
            <mat-label>Obsolete date</mat-label>
            <input matInput [matDatepicker]="obsoleteDatepicker" formControlName="obsoleteDateTime"
              [min]="minObsoleteDate" [max]="maxObsoleteDate" (dateChange)="onDateChange()">
            <mat-datepicker-toggle matSuffix [for]="obsoleteDatepicker"></mat-datepicker-toggle>
            <mat-datepicker #obsoleteDatepicker></mat-datepicker>
            <!-- <mat-error *ngIf="hasError('obsoleteDateTime', 'obsoleteNotAfterIssuance')">
              Obsolete date must be after issuance date.
            </mat-error> -->
            <mat-error *ngIf="hasError('obsoleteDateTime', 'obsoleteNotBeforeExpiration')">
              Obsolete date must be before expiration date.
            </mat-error>
          </mat-form-field>
          <mat-form-field class="location-form">
            <mat-label>Expiration date</mat-label>
            <input matInput [matDatepicker]="expirationDatepicker" formControlName="expirationDateTime"
              [min]="minExpirationDate" (dateChange)="onDateChange()">
            <mat-error
              *ngIf="hasError('expirationDateTime', 'issuanceNotBeforeExpiration') && dataSetForm.get('issuedDateTime')?.value">
              Expiration date should be after the issuance date.
            </mat-error>
            <mat-datepicker-toggle matSuffix [for]="expirationDatepicker"></mat-datepicker-toggle>
            <mat-datepicker #expirationDatepicker></mat-datepicker>
          </mat-form-field>
        </div>
        <div class="form-field-wrapper">

          <!-- <mat-form-field class="location-form">
            <mat-label>File type</mat-label>
            <input matInput aria-label="fileType" formControlName="fileType" required>
          </mat-form-field> -->
        </div>
        <!-- <div class="form-field-wrapper">
          <mat-form-field class="location-form">
            <mat-label>File location</mat-label>
            <input matInput aria-label="fileLocation" [matAutocomplete]="auto" formControlName="fileLocation" required>
          </mat-form-field>
          <mat-form-field class="location-form">
            <mat-label>Byte size</mat-label>
            <input matInput aria-label="consent" [matAutocomplete]="auto" formControlName="byteSize" >
            <mat-autocomplete #auto="matAutocomplete">
            </mat-autocomplete>
          </mat-form-field>
        </div> -->
        <!-- <div class="form-field-wrapper">
          <mat-form-field class="location-form first-row">
            <mat-label>File hash</mat-label>
            <input matInput aria-label="fileHash" [matAutocomplete]="auto" formControlName="fileHash">
          </mat-form-field>
          <mat-form-field class="location-form first-row">
            <mat-label>Algorithm</mat-label>
            <input matInput aria-label="algorithm" required [matAutocomplete]="auto" formControlName="algorithm">
            <mat-error *ngIf="dataSetForm.get('algorithm')?.invalid">
              Algorithm is required
            </mat-error>
          </mat-form-field>
        </div> -->
        <div class="form-field-wrapper">
          <!-- <mat-form-field class="location-form first-row">
            <mat-label>File title</mat-label>
            <input matInput aria-label="title" required [matAutocomplete]="auto" formControlName="fileTitle">
            <mat-error *ngIf="dataSetForm.get('fileTitle')?.invalid">
              Title is required
            </mat-error>
          </mat-form-field> -->
          <mat-form-field class="location-form">
            <mat-label>Personal data policy</mat-label>
            <input matInput aria-label="personalDataPolicy" formControlName="personalDataPolicy">
          </mat-form-field>
        </div>
        <div class="fields-row">
          <div class="input-fields">
            <div class="hash-container">
              <mat-button-toggle class="dataSetAddButon" (click)="openDistributionForm()">Add a
                distribution</mat-button-toggle>
              <mat-error *ngIf="dataSetForm.value.distributions?.length == 0">
                You must add at least one distribution.
              </mat-error>
              <ng-container *ngFor="let distribution of dataSetForm.value.distributions ; let i = index;">
                <button mat-stroked-button color="primary" class="hash-item" (click)="openDistributionForm(distribution)">
                  {{ distribution.title }}
                </button>
              </ng-container>
            </div>
          </div>
        </div>
        <!-- <div class="fields-row">
          <div class="input-fields">
            <div class="hash-container">
              <mat-button-toggle class="dataSetAddButon" (click)="onDelete()">Remove</mat-button-toggle>

              <div matTooltip="Please fill out the required fields" [matTooltipDisabled]="dataSetForm.valid">
                <mat-button-toggle class="dataSetAddButon" (click)="onSubmit()" [disabled]="!dataSetForm.valid">
                  Submit
                </mat-button-toggle>
              </div>
            </div>
          </div>
        </div> -->
        <div class="submit-buttons-div" style="vertical-align:middle;
                  margin-bottom: 6em; margin-top:
                  2em;">
          <button class="dataSetAddButon" mat-raised-button color="primary"
            (click)="onDelete()">Remove</button>
          <div matTooltip="Please fill out all the required fields" [matTooltipDisabled]="dataSetForm.valid">
            <button mat-raised-button color="primary" class="btn submit-button" (click)="onSubmit()"
              [disabled]="!dataSetForm.valid">
              Submit
            </button>
          </div>
        </div>
      </form>
    </div>
  </span>
</div>
